This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 753916 - avahi-ui-tools package needs splitting
avahi-ui-tools package needs splitting
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: avahi (Show other bugs)
15
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-14 15:51 EST by Brian J. Murrell
Modified: 2012-08-07 12:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 753905
Environment:
Last Closed: 2012-08-07 12:59:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to create an avahi-python package (1.60 KB, patch)
2011-11-14 17:20 EST, Brian J. Murrell
no flags Details | Diff

  None (edit)
Description Brian J. Murrell 2011-11-14 15:51:32 EST
+++ This bug was initially created as a clone of Bug #753905 +++

Description of problem:

The avahi-ui-tools contains both binary and library.

Version-Release number of selected component (if applicable):

0.6.30-3.fc15

How reproducible:

100%

Steps to Reproduce:
1. N/A
2.
3.
  
Actual results:

I should be able to get the python avahi bindings in /usr/lib/python2.7/site-packages/avahi without having to pull gtk and it's dependencies in.  i.e. this is bad/wrong (example from RHEL6 but I'd guess F15 is the same):

Installing:
 avahi-ui-tools                  x86_64              0.6.25-8.el6                                   /avahi-ui-tools-0.6.25-8.el6.x86_64               73 k
Installing for dependencies:
 atk                             x86_64              1.28.0-2.el6                                   base                                             191 k
 avahi                           x86_64              0.6.25-8.el6                                   base                                             216 k
 avahi-glib                      x86_64              0.6.25-8.el6                                   base                                              19 k
 avahi-libs                      x86_64              0.6.25-8.el6                                   base                                              53 k
 avahi-ui                        x86_64              0.6.25-8.el6                                   base                                              31 k
 cairo                           x86_64              1.8.8-3.1.el6                                  base                                             309 k
 cups-libs                       x86_64              1:1.4.2-35.el6_0.1                             updates                                          313 k
 fontconfig                      x86_64              2.8.0-3.el6                                    base                                             186 k
 freetype                        x86_64              2.3.11-6.el6_0.2                               updates                                          359 k
 gtk2                            x86_64              2.18.9-4.el6                                   base                                             3.3 M
 hicolor-icon-theme              noarch              0.11-1.1.el6                                   base                                              40 k
 jasper-libs                     x86_64              1.900.1-15.el6                                 base                                             137 k
 libICE                          x86_64              1.0.6-1.el6                                    base                                              53 k
 libSM                           x86_64              1.1.0-7.1.el6                                  base                                              26 k
 libXcomposite                   x86_64              0.4.1-2.el6                                    base                                              17 k
 libXcursor                      x86_64              1.1.10-2.el6                                   base                                              32 k
 libXdamage                      x86_64              1.1.2-1.el6                                    base                                              16 k
 libXext                         x86_64              1.1-3.el6                                      base                                              33 k
 libXfixes                       x86_64              4.0.4-1.el6                                    base                                              19 k
 libXft                          x86_64              2.1.13-4.1.el6                                 base                                              49 k
 libXi                           x86_64              1.3-3.el6                                      base                                              32 k
 libXinerama                     x86_64              1.1-1.el6                                      base                                              15 k
 libXrandr                       x86_64              1.3.0-4.el6                                    base                                              30 k
 libXrender                      x86_64              0.9.5-1.el6                                    base                                              27 k
 libdaemon                       x86_64              0.14-1.el6                                     base                                              28 k
 libglade2                       x86_64              2.6.4-3.1.el6                                  base                                              60 k
 libjpeg                         x86_64              6b-46.el6                                      base                                             134 k
 libpng                          x86_64              2:1.2.44-1.el6                                 base                                             180 k
 libthai                         x86_64              0.1.12-3.el6                                   base                                             183 k
 libtiff                         x86_64              3.9.4-1.el6_0.3                                updates                                          342 k
 pango                           x86_64              1.28.1-3.el6_0.5                               updates                                          351 k
 pixman                          x86_64              0.18.4-1.el6_0.1                               updates                                          146 k
 pycairo                         x86_64              1.8.6-2.1.el6                                  base                                             172 k
 pygobject2                      x86_64              2.20.0-5.el6                                   base                                             172 k
 pygtk2                          x86_64              2.16.0-3.el6                                   base                                             986 k
 pygtk2-libglade                 x86_64              2.16.0-3.el6                                   base                                              22 k
 tigervnc                        x86_64              1.0.90-0.10.20100115svn3945.el6                base                                             245 k
 xml-common                      noarch              0.6.3-32.el6                                   base                                             9.5 k

when all I want is the contents of /usr/lib/python2.7/site-packages/avahi.

Expected results:

Similar to Debian/Ubuntu's python-avahi package:  
$ dpkg -L python-avahi
/.
/usr
/usr/share
/usr/share/doc
/usr/share/doc/python-avahi
/usr/share/doc/python-avahi/README
/usr/share/doc/python-avahi/copyright
/usr/share/doc/python-avahi/examples
/usr/share/doc/python-avahi/examples/avahi-bookmarks.gz
/usr/share/doc/python-avahi/NEWS.gz
/usr/share/doc/python-avahi/changelog.Debian.gz
/usr/share/pyshared
/usr/share/pyshared/avahi
/usr/share/pyshared/avahi/__init__.py
/usr/share/pyshared/avahi/ServiceTypeDatabase.py
/usr/share/python-support
/usr/share/python-support/python-avahi.public

which avahi-ui-tools should then depend on.

Additional info:
Comment 1 Brian J. Murrell 2011-11-14 17:20:28 EST
Created attachment 533642 [details]
patch to create an avahi-python package

Here's a patch to effect the change I am requesting.
Comment 2 Fedora End Of Life 2012-08-07 12:59:03 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.